@import "../core/typography";
@import "../abstracts/variables";
@import "../abstracts/mixins";

.login-form-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  .title {
    font-size: $fs-h2;
    font-weight: $fw-boldest;
    margin-bottom: 1rem;
    text-align: left;
    width: 70%;
  }
  form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    width: 70%;
    .half-container {
      width: 100%;
      height: 10%;
      display: flex;
      justify-content: space-between;
      align-items: center;
      .half-input {
        width: 48%;
        height: 100%;
      }
    }
    @include lt-md {
      .half-container {
        width: 100%;
        height: 10%;
        display: flex;
        flex-direction: column;
        .half-input {
          width: 100%;
          height: 100%;
        }
      }
    }
  }
  .link-wrapper {
    text-align: center;
    width: 100%;
    margin: 5% 0;
    .link {
      font-size: $fs-h6;
      span {
        color: $dark-fade-primary-color;
      }
      text-decoration: none;
    }
  }
}

.error-message {
  color: red;
  margin: 0;
  font-size: $fs-h6;
}
